Bug 63289 - Thumbnails + large directory -> runs out of file descriptors
Thumbnails + large directory -> runs out of file descriptors
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gqview (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-11 23:17 EDT by Bill Crawford
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-12 12:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2002-04-11 23:17:09 EDT
Description of Problem:
If I open gqview in a directory with a large number of images (several
thousand), the status shows that thumbnails are being generated, then the
progress bar crawls slowly for a few seconds, then suddenly speeds up, at which
point any images not yet shown have an icon with a big question mark and
"unknown" underneath.  Running lsof shows thousands of open files, presumably
indicating that the process cannot open any more.
What's puzzling me is that I'm sure it was worked as expected in directories
with >1000 images in before, as little as a week ago, but neither gqview nor
gtk+ appear to have changed in over a fortnight.
Comment 1 Havoc Pennington 2002-04-12 11:56:52 EDT
I wonder if it could be an imlib bug? What if you back down your imlib version?
Comment 2 Owen Taylor 2002-04-12 12:17:25 EDT
Yep, this is a 1.9.13 bug. The 1.9.13-3.7.x packages in Rawhide
now should fix this problem.
Comment 3 Bill Crawford 2002-04-12 22:48:04 EDT
Thanks, that's fixed it.

Note You need to log in before you can comment on or make changes to this bug.